export const foregroundColorDict = {
    "RED": 31,
    "GREEN": 32, // corrected from 49
    "BLUE": 34,
    "BLACK": 30,
    "YELLOW": 33,
    "MAGENTA": 35,
    "CYAN": 36,
    "WHITE": 37,
    "DEFAULT": 39,
};

export function colorText(text, foregroundColor, backgroundColor, style) {
    let finalText = "\x1b[";
    const foregroundAnsi = foregroundColorDict[foregroundColor];
    const backgroundAnsi = foregroundColorDict[backgroundColor] + 10;
    finalText += `${foregroundAnsi};${backgroundAnsi}m ${text} \x1b[0m`;
    return finalText
}

export default colorText;
